package com.purui.prims.headless.server.persistence.dataobject;

/**
 * 应用权限表
 *
 * @author charlie
 * @date 2024-06-14
 */
public class AppAuthDO {
    /**
     * 主键
     */
    private Integer id;

    /**
     * 应用ID
     */
    private Integer appId;

    /**
     * 指标ID
     */
    private Long dataId;

    /**
     * 权限类型(metric,dataset)
     */
    private String authType;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getAppId() {
        return appId;
    }

    public void setAppId(Integer appId) {
        this.appId = appId;
    }

    public Long getDataId() {
        return dataId;
    }

    public void setDataId(Long dataId) {
        this.dataId = dataId;
    }

    public String getAuthType() {
        return authType;
    }

    public void setAuthType(String authType) {
        this.authType = authType == null ? null : authType.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", appId=").append(appId);
        sb.append(", dataId=").append(dataId);
        sb.append(", authType=").append(authType);
        sb.append("]");
        return sb.toString();
    }
}